Subject: RE: bug#29321: Isearch hit count

From: Drew Adams <[email-masked]>
Date: Mon, 29 Oct 2018 19:43:49 -0700 (PDT)

> > OK, I applied the new patch.
> >
> > Here's my feedback, in case it helps.
> >
> > For my own code, after the update search seems very slow.
> > Just mentioning that - not that it's relevant.
> 
> It is slow when you set lazy-highlight-buffer to t
> at the same when isearch-lazy-count is t because
> adding overlays to all matches in the full buffer
> is very slow and it slows down the counting of matches
> that is preformed in the same loop.

No, I meant with lazy-highlight-buffer nil.  But again,
that was only with my own code.  I won't worry about
that now.

> Maybe for optimization we should run the matches-counting loop
> first and only after that the full-buffer highlighting loop?

Dunno.  I'm not worried yet about any interaction between
them.  But if you want to think about that, good.

> > Dunno how much this helps.  I again applied the patch
> > manually.  I've attached the resulting file - perhaps
> > you can diff it against what it should be, to see if
> > it is faithful or I made a mistake.  That might save
> > us some time, if I did make a mistake.  I don't want
> > to provide misleading feedback.
> 
> I see that your version misses an important change in
> isearch-lazy-highlight-new-loop.  So for your convenience
> I attached below a complete patched isearch.el.

Ah!  Thanks for checking.  I'm glad to hear I made
a mistake patching.  Sorry for taking your time to
check it.

> > Less relevant - just personal opinion: I prefer the
> > numbering in the prefix form CURRENT/TOTAL, rather
> > than the suffix, I think.  But I could change my mind.
> > What are the reasons you prefer it as a suffix - or is
> > it just better in terms of implementation/performance?
> 
> I have no preference.  For example, Chromium displays the
> count as CURRENT/TOTAL whereas Firefox as (CURRENT of TOTAL).
> So I changed back to CURRENT/TOTAL in the prefix here:

Thanks.  I'll take a look and get back to you.

 - D